Developing for wxWidgets using Eclipse and the CDT


This document is a so-called one-shot document. It is here to describe the use of wxWidgets with Eclipse for a certain version at a certain time (Spring 2006).

This document is not maintained. I will not answer support questions. I will not make changes or provide additional information.

If you feel like you would like to maintain this document, please let me know and I will provide you with the source files.


You must have the following items installed:

  • Eclipse

  • Eclipse CDT, at least version 3.0.2 or newer

  • A compiler and build system

  • wxWidgets must be installed and copiled

If you do not have these prerequesites, please take a look at my Setting up Eclipse CDT on Windows, Linux/Unix, Mac OS X HowTo and my installing wxWidgets HOWTO.